Subject: Re: [Lsvr] WG Adoption Call for draft-keyupate-lsvr-bgp-spf-00 (April 6 to April 20

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Fri, 20 Apr 2018 19:10:57 +0000

Comments in-line.
Thank you.
Jorge

From: Lsvr <[email-masked]> on behalf of "Van De Velde, Gunter (Nokia - BE/Antwerp)" <[email-masked]>
Date: Friday, April 6, 2018 at 5:36 PM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Boris Hassanov <[email-masked]>, "Mankamana Mishra (mankamis)" <[email-masked]>, Jacob Uecker <[email-masked]>
Subject: [Lsvr] WG Adoption Call for draft-keyupate-lsvr-bgp-spf-00 (April 6 to April 20

This begins a 2 week WG Adoption Call for "draft-keyupate-lsvr-bgp-spf-00 " from April 6th to April 20th .

During your discussion in the WG Adoption Call, the chairs are looking for more context as only a 'yeh' or 'ney'.

please indicate the following things:

1)                   Support to adopt draft "draft-keyupate-lsvr-bgp-spf-00 as LSVR WG document?

[JORGE] yes

2)                   Do you feel "draft-keyupate-lsvr-bgp-spf-00" complies to the LSVR charter, please explain if you think it does not conform to the LSVR charter?

[JORGE] yes

3)                   Are there any technical issues with this draft?

[JORGE] no

4)                   Which are current pain-points in the draft requiring additional content and technical attention?

[JORGE] Some of them I am missing:

  *   Description of the BGP-LS-SPF-VPN AFI/SAFI – how is it used and why? If it is out of the scope, it shouldn’t show up in the draft, should it?
  *   Besides the changes in the RFC4271 decision process, it would be good to point out what other aspects of RFC4271 are changed or not followed. For instance:
     *   It sounds like the frequency of route advertisement/origination of RFC4271 is not followed, but it is not explicitly mentioned.
  *   Section 4.1 – normal vs strict SPF – I’m missing details or references about this. Do all the nodes need to signal the same value? What if they don’t?
  *   Is the sequence-number TLV mandatory? I would think it is, but section 5.1 seems to allow NLRIs without sequence-number TLV.
  *   Section 5.1 talks about path attributes being ignored for the NLRI selection, but what kind of validation is done on them?
  *   Same for the Next Hop. What does it mean that the “Next Hop is validated”? The error handling section should be expanded, I think.
  *   Editorial:
     *   Not a big deal, but maybe a Terminology section would be nice.
     *   Section 1.2 must be replaced with the new text:

   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",

   "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and

   "OPTIONAL" in this document are to be interpreted as described in

   BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all

   capitals, as shown here.

5)                   What is missing from this draft?

[JORGE] Nothing major. The draft already does a pretty decent job in introducing and justifying the technology, but now I think it’s time to add the details needed to implement. Thanks for this work, authors!

For your quick access to this draft, find the link below:

https://datatracker.ietf.org/doc/draft-keyupate-lsvr-bgp-spf/

Please find that during the WG Adoption Call process, three persons kindly volunteered in-depth review and provide on-list comments:

  * Mankamana Mishra

  * Boris Hassanov

  * Jacob Uecker

Kind Regards,

Victor & Gunter

co-chairs LSVR WG

---

From: Keyur Patel <[email-masked]>
Date: Fri, 20 Apr 2018 21:52:10 +0000

Hi Jorge,

Thanks for the feedback and comments. We will incorporate these comments in the next draft version.

Best Regards,
Keyur

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Friday, April 20, 2018 at 12:11 PM
To: "Van De Velde, Gunter (Nokia - BE/Antwerp)" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [Lsvr] WG Adoption Call for draft-keyupate-lsvr-bgp-spf-00 (April 6 to April 20
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, Shawn Zandi <[email-masked]>, <[email-masked]>
Resent-Date: Friday, April 20, 2018 at 12:11 PM

Comments in-line.
Thank you.
Jorge

[JORGE] yes

[JORGE] yes

[JORGE] no

   capitals, as shown here.

  * Mankamana Mishra

  * Boris Hassanov

  * Jacob Uecker

Kind Regards,

Victor & Gunter

co-chairs LSVR WG